<mat-card>
    <mat-card-content>
        
        <br>
        <fieldset >
            <legend><h6 class="example-h6">Filtres</h6></legend>
        <section class="example-section" >
            <label class="example-margin">Categorie:</label>
        <mat-checkbox class="example-margin" class="m-r-10"  (change)="catChange('database',$event)">Database</mat-checkbox>
        <mat-checkbox class="example-margin" class="m-r-10" (change)="catChange('server',$event)">Server</mat-checkbox>
        <mat-checkbox class="example-margin" class="m-r-10" (change)="catChange('application',$event)">Application</mat-checkbox>
        </section>

        <section class="example-section">
            <label class="example-margin">Environements:</label>
        <mat-checkbox class="example-margin" class="m-r-10" (change)="envChange('dev',$event)">Dev</mat-checkbox>
        <mat-checkbox class="example-margin" class="m-r-10" (change)="envChange('tig',$event)">Tig</mat-checkbox>
        <mat-checkbox class="example-margin" class="m-r-10" (change)="envChange('recette',$event)">Recette</mat-checkbox>
        <mat-checkbox class="example-margin" class="m-r-10" (change)="envChange('production',$event)">Production</mat-checkbox>
        </section>

        <section class="example-section">
            <label class="example-margin">Tag:</label>
        <mat-checkbox class="example-margin" class="m-r-10" (change)="tagChange('job',$event)">Job</mat-checkbox>
        <mat-checkbox class="example-margin" class="m-r-10" (change)="tagChange('webservice',$event)">Webservice</mat-checkbox>
        <mat-checkbox class="example-margin" class="m-r-10" (change)="tagChange('microservice',$event)">Microservice</mat-checkbox>
        </section>
       
        <section class="example-section">
            <label class="example-margin">Text:</label> 
            <mat-form-field class="example-full-width" >
              <input matInput #box >
            </mat-form-field>
        </section>
        </fieldset>
        <div class="example-button-row">
        <button mat-raised-button style="float: right;" color="primary"  (click)="filter(box.value)" >Chercher</button>
        <button [(ngModel)]="checkedd" mat-raised-button style="float: right;" (click)="Reset()"  >Reset</button>
        </div>
        
        <ngx-datatable
        class="material"
        [rows]="filteredArray"
        [columnMode]="ColumnMode.force"
        [headerHeight]="60"
        rowHeight="auto"
        [reorderable]="reorderable"
        >
            <ngx-datatable-column name="Catégorie" prop='category' >
            </ngx-datatable-column>
            <ngx-datatable-column name="Environement" prop='environnement' >
            </ngx-datatable-column>
            <ngx-datatable-column name="Tag" prop='tag' >
            </ngx-datatable-column>
            <ngx-datatable-column name="URL" prop='url' >
            </ngx-datatable-column>
            <ngx-datatable-column name="Login" prop='username' >
            </ngx-datatable-column>
            <ngx-datatable-column name="Password" prop='password' >
            </ngx-datatable-column>
          

         </ngx-datatable>
        
    </mat-card-content>
</mat-card>